# FoxNet

FoxNet is an individual-based modelling framework that can be customised to generate high-resolution red fox *Vulpes vulpes* population models for both northern and southern hemispheres.  FoxNet can be used to predict red fox population density, age structure, composition and responses to management across an entire landscape or within customised region(s) of interest. Model landscapes (up to ~15,000 km<sup>2</sup>) and bait layouts can be generated within FoxNet or imported as GIS layers. 

If you use FoxNet, please cite:

> Hradsky BA, Kelly L, Robley A, Wintle BA (2019). FoxNet: an individual-based model framework to support management of an invasive predator, the red fox. *Journal of Applied Ecology*.

and

> Hradsky BA, Kelly L, Robley A, Wintle BA (2019). Data from: FoxNet: an individual-based model framework to support management of an invasive predator, the red fox. *Zenodo*. https://doi.org/10.5281/zenodo.2572045

## Getting Started

You can download the latest release of FoxNet from https://doi.org/10.5281/zenodo.2572045.  The release package includes a User Guide.

### Prerequisites

You will need to install Netlogo v 6.0.2.  
Netlogo can be freely downloaded from https://ccl.northwestern.edu/netlogo/. 

## Built With

* [Netlogo v 6.0.2](https://ccl.northwestern.edu/netlogo/) - used to write the FoxNet model.
* [R v 3.5.1](https://www.rstudio.com/) - used to run batch scripts and analyse outputs.

## Authors

* [**Bronwyn Hradsky**](https://github.com/bhradsky), University of Melbourne.
* Luke Kelly, University of Melbourne.
* Alan Robley, Arthur Rylah Institute.
* Brendan Wintle, University of Melbourne.

## License

This project is licensed under the GNU General Public License v3.0 - see the LICENSE.md file for details.

## Acknowledgments

* Neil Carter for early discussions on IBM structure.
* Casey Visintin, Jian Yen, Nick Golding and Saras Windecker for help with parallel computing and Git.
* Volker Grimm, Michael Bode, Marie-Josée Fortin and an anonymous reviewer for constructive reviews and editorial guidance.
* Funding: 
  * The Australian Government’s National Environmental Science Program through the Threatened Species Recovery Hub
  * Victorian Government
  * Parks Victoria

